import React from 'react';

import type { GeneralSizeProp } from '@/mui/types';

import { scheduleStatusSelector } from '@/modules/feeds/Editor/redux/selectors';
import { setAction } from '@/modules/feeds/Editor/redux/slices';

import { useFormSettings } from '@/modules/@common/Form';
import { useAppDispatch, useAppSelector } from '@/modules/@common/store/hooks';
import { Switch } from '@/mui/components';

type PropTypes = {
  disabled?: boolean;
};

function AutoImport({ disabled = false }: PropTypes) {
  const dispatch = useAppDispatch();
  const { size } = useFormSettings();

  const scheduleStatus = useAppSelector(scheduleStatusSelector);

  return (
    <Switch
      data-id="scheduleStatus"
      size={size as GeneralSizeProp}
      color="primary"
      checked={scheduleStatus}
      disabled={disabled}
      onChange={(e) => dispatch(setAction({ scheduleStatus: e.target.checked }))}
    />
  );
}

export default AutoImport;
